# This script does common configuration process for the lcm containers. This
# script won't be called automatically.  This needs to be called from entrypoint
# of each final container inheriting this container.
# Note:  This script needs to be called at runtime rather than build time.

# Update the CA certificates. The Certificates created for LCM containers needs
# to be mounted in /usr/local/share/ca-certificates directory. This script will
# make those certificate effective.
update-ca-certificates

# Setup the kubernetes tools (Kubectl and Helm)
/data/lcm_commons/setup_kubernetes_tools.py
